#ifndef __SAMPLER_H__
#define __SAMPLER_H__

#include <stdint.h>
#include <stdbool.h>

typedef struct sampler_t
{
	int8_t *samStart;
	int32_t samOffset, samDisplay, samLength;
} sampler_t;

extern sampler_t sampler; // sampler.c

bool Sampler_Init(void);
void Sampler_Free(void);
void Sampler_UpdateSampleInfo(void);
void Sampler_EraseOldSamplingLine(void);
void Sampler_WriteSamplingLine(void);
void Sampler_WriteWaveform(void);
void Sampler_Toggle(void);

#endif
